#!/usr/bin/php
<?php

#############################################################################

/// init
	global $ini;
	global $node;
	global $ignore_live;

	$ignore_live = true;

	require(dirname(__FILE__)."/../include/functions.php");
	init(0);

	if (get_ini_opt('confgen','apache-create-tempdirs') === '0') { exit(0); }
	if (get_ini_opt('confgen','apache-confgen') === '0') { exit(0); }

	$webroot=$ini['global']['webroot'];

	if (!(is_dir($webroot.'/temp')))
	{
		logme("Directory ".$webroot."/temp doesnt exist, exiting.");
		exit(0);
	}

	checkdir($webroot.'/temp/sys', 33, 33);
	checkdir($webroot.'/temp/sys/soaptmp', 33, 33);
	checkdir($webroot.'/temp/sys/uc', 33, 33);
	checkdir($webroot.'/temp/sys/uc/session', 33, 33);
	checkdir($webroot.'/temp/sys/uc/ultmp', 33, 33);
	checkdir($webroot.'/temp/sys/uc/tmp', 33, 33);
	checkdir($webroot.'/temp/sys/captcha', 33, 33);
	checkdir($webroot.'/temp/sys/captcha/session', 33, 33);
	checkdir($webroot.'/temp/sys/captcha/ultmp', 33, 33);
	checkdir($webroot.'/temp/sys/captcha/tmp', 33, 33);

/// get vhosts

	global $spooldir;
	$vhfile=$spooldir.'/vhlist.txt';

	if (file_exists($vhfile))
	{
		// use cache file
		$vhlf=fopen($vhfile,'r');

		if ($vhlf)
		{
			while (($vhline = fgets($vhlf)) !== false)
			{
				$vh=explode('/',trim($vhline));
				$domain=$vh[0];
				$host=$vh[1];

				checkdir($webroot.'/temp/'.$domain, 33, 33);
				checkdir($webroot.'/temp/'.$domain.'/'.$host, 33, 33);
				checkdir($webroot.'/temp/'.$domain.'/'.$host.'/session', 33, 33);
				checkdir($webroot.'/temp/'.$domain.'/'.$host.'/ultmp', 33, 33);
				checkdir($webroot.'/temp/'.$domain.'/'.$host.'/tmp', 33, 33);
				//echo $webroot.'/temp/'.$domain.'/'.$host."\n";
			}
		}
		fclose($vhlf);
	}
	else
	{
		// fall back to mysql
		DBconnect(10);

		$sql="SELECT
			`vhosts`.`host` AS host,
			`domain`.`name` AS domain
			FROM vhosts
			LEFT JOIN domain ON vhosts.domainid=domain.id
			LEFT JOIN client ON domain.clientid=client.id
			WHERE (client.node=$node OR client.migrate=1);";

		$res=DBquery($sql) or die(1);

		while ($vh = $res->fetch_assoc())
		{
			$domain=$vh['domain'];
			$host=$vh['host'];

			checkdir($webroot.'/temp/'.$domain, 33, 33);
			checkdir($webroot.'/temp/'.$domain.'/'.$host, 33, 33);
			checkdir($webroot.'/temp/'.$domain.'/'.$host.'/session', 33, 33);
			checkdir($webroot.'/temp/'.$domain.'/'.$host.'/ultmp', 33, 33);
			checkdir($webroot.'/temp/'.$domain.'/'.$host.'/tmp', 33, 33);
			//echo $webroot.'/temp/'.$domain.'/'.$host."\n";
		}
	}

