#!/usr/bin/php
<?php

/// init
	global $ini;
	global $node;

	require(dirname(__FILE__)."/../include/functions.php");
	check_force_run(1);
	init();

	if (get_ini_opt('confgen','rights') === '0') { exit(0); }
	if (get_ini_opt('confgen','rights-file') === '0') { exit(0); }

### Check for special files to trigger update

	$fixarr=array();
	$instarr=array();

	$fixfiles=0;

	$vhsql="SELECT vhosts.id AS vhid,
		vhosts.host AS host,
		domain.name AS domain,
		client.name AS clientname,
		vhosts.rights AS rights
		FROM vhosts
		LEFT JOIN domain ON vhosts.domainid=domain.id
		LEFT JOIN client ON domain.clientid=client.id
		WHERE (vhosts.rights=0 OR vhosts.rights=1)
		AND (client.node='$node' OR client.migrate=1);";

	$vhres=DBquery($vhsql) or die(1);
	$n=$vhres->num_rows;

	if ($n!=0)
	{
		while ($vhost = $vhres->fetch_assoc())
		{
			$vhid=$vhost['vhid'];
			$vhdir=$ini['global']['webroot'].'/'.$vhost['clientname'].'/'.$vhost['domain'].'/'.$vhost['host'];

			if (file_exists($vhdir.'/.fixrights'))
			{
				$fixfiles=1;
				DBquery("UPDATE `vhosts` SET `rights`='2' WHERE `id` = '$vhid';");
				unlink($vhdir.'/.fixrights');
			}
			if (file_exists($vhdir.'/.installmode'))
			{
				$fixfiles=1;
				DBquery("UPDATE `vhosts` SET `rights`='3' WHERE `id` = '$vhid';");
				unlink($vhdir.'/.installmode');
			}
		}
	}

	// trigger update if we found files
	if ($fixfiles==1)
	{
		DBquery("UPDATE `var` SET `value`='1' WHERE `key` = 'rights_update' AND `node` = '".$node."';");
	}
