#!/usr/bin/php
<?php

/// init
	global $ini;
	global $node;

	require(dirname(__FILE__)."/../include/functions.php");
	init(1);

### Parse command line args

	$cliname='';
	if (count($argv)>1)
	{
		$cliname=$argv[1];
	}


### Collect mailboxes per client

	$sql="SELECT
			(domain.active=1 AND client.active=1) AS active,
			domain.name AS domname,
			domain.dns AS dns,
			IF(domain.mx IS NULL, 1, 0) AS localmx,
			IFNULL(domain.mx, '') AS mx,
			IFNULL(domain.ip, '') AS ip,
			IFNULL(domain.spf, '') AS spf,
			client.id AS cliid,
			IFNULL(client.name, '<CLIENT>') AS cliname

		FROM domain
			LEFT JOIN client ON domain.clientid=client.id

		WHERE 1

	";

	if ($cliname)
	{
		$sql.="
		AND `client`.`name`='$cliname'
			";
	}

	$sql.="
		ORDER BY `client`.`name`, `domain`.`name`
	;";

	$res=DBquery($sql);

	$S=';';

	while ($row=$res->fetch_assoc()) {

		// ügyfélnév;domainnév;dns_aktív;levelezés_aktív;[elsődleges_ip];[mx1,...];[spf_extra]
		// CSV info: dns_aktív:1/0, levelezés_aktív:1/0

		if (!$row['active']) { echo "<INAKTIV>"; }

		echo $row['cliname'].$S;
		echo $row['domname'].$S;
		echo $row['dns'].$S;
		echo $row['localmx'].$S;
		echo $row['ip'].$S;

		$mx_clean=str_replace(array("\r", "\t"), '', $row['mx']);
		$mxarr=explode("\n",$mx_clean);
		echo implode(',', $mxarr).$S;

		echo $row['spf'];
		echo "\n";
	}

DBclose();
