#!/usr/bin/php
<?php

/// init
	global $ini;
	global $node;

	require(dirname(__FILE__)."/../include/functions.php");
	init(1);

### Parse command line args

	$cliname='';
	$domname='';
	if (count($argv)>1)
	{
		$clidomname=$argv[1];

		$csql="SELECT id FROM client WHERE name='$clidomname';";
		$cres=DBquery($csql);
		if($cres->num_rows>0)
		{
			$cliname=$clidomname;
		}
		else
		{
			$domname=$clidomname;
		}
	}


### Collect mailboxes per client

	$sql="SELECT
			(mail_aliases.active=1 AND domain.active=1 AND client.active=1) AS active,
			IF(mail_aliases.alias='', '*',  mail_aliases.alias) AS alias,
			IFNULL(dom_host.host,'') AS hostname,
			IFNULL(domain.name, '') AS domname,
			mail_aliases.goto AS goto

		FROM mail_aliases
			LEFT JOIN dom_host ON mail_aliases.hostid=dom_host.id
			LEFT JOIN domain ON mail_aliases.domainid=domain.id
			LEFT JOIN client ON domain.clientid=client.id

		WHERE 1

	";

	if ($cliname!='')
	{
		$sql.="
		AND `client`.`name`='$cliname'
			";
	}

	if ($domname!='')
	{
		$sql.="
		AND `domain`.`name`='$domname'
			";
	}

	$sql.="
		ORDER BY `client`.`name`, `domain`.`name`, `mail_aliases`.`alias`
	;";

	$res=DBquery($sql);

	$S=';';

	while ($row=$res->fetch_assoc()) {

		// CSV mezők: alias_név;[host/aldomain];domain;cél_1[,...]
		// CSV info: catch-all: *@innen.hu → pf@ide.hu, alias domain: *@innen.hu → @ide.hu

		if (!$row['active']) { echo "<INAKTIV>"; }

		echo $row['alias'].$S;
		echo $row['hostname'].$S;
		echo $row['domname'].$S;

		$goto_clean=str_replace(array("\r", "\t"), '', $row['goto']);
		$gotoarr=explode("\n",$goto_clean);
#		foreach ($gotoarr as &$gotoitem)
#		{
#			if (preg_match('#^@#', $gotoitem))
#			{
#				$gotoitem='*'.$gotoitem;
#			}
#		}
		echo implode(',', $gotoarr);

		echo "\n";
	}

DBclose();
