#!/usr/bin/php
<?php

/// init
	global $ini;
	global $node;

	require(dirname(__FILE__)."/../include/functions.php");
	check_force_run(1);
	init();

	if (get_ini_opt('confgen','rights') === '0') { exit(0); }

### Check if there is anything to update

	check_update('rights_update');

### Run the update

	$sql="SELECT vhosts.id AS vhid,
		vhosts.host AS host, 
		domain.name AS domain,
		client.name AS clientname,
		domain.clientid AS clientid,
		vhosts.writable AS writable,
		vhosts.rights AS rights
		FROM vhosts
		LEFT JOIN domain ON vhosts.domainid=domain.id
		LEFT JOIN client ON domain.clientid=client.id
		WHERE (vhosts.rights=2 OR vhosts.rights=3)
		AND (client.node='$node' OR client.migrate=1);";

	$res=DBquery($sql) or die(1);
	$n=$res->num_rows;

	if ($n!=0)
	{
		logme ("rights: Setting rights for $n vhosts");
		while ($vhost = $res->fetch_assoc())
		{

			$vhid=$vhost['vhid'];
			$vhname=$vhost['host'].'.'.$vhost['domain'];
			$vhdir=$ini['global']['webroot'].'/'.$vhost['clientname'].'/'.$vhost['domain'].'/'.$vhost['host'];
			$uid=$ini['global']['firstuid']+$vhost['clientid'];
			$writable=$vhost['writable'];

			if ($vhost['rights']==2)
			{
				logme ("rights: Fixing rights for vhost $vhname.");
				fixrights($vhdir,$uid,$writable);
				DBquery("UPDATE `vhosts` SET `rights`='0' WHERE `id` = '$vhid';");
			}
			if ($vhost['rights']==3)
			{
				logme ("rights: Setting $vhname all writable.");
				writeall($vhdir,$uid);
				DBquery("UPDATE `vhosts` SET `rights`='1' WHERE `id` = '$vhid';");
			}
		}
	}

### reset update flag

	unlock_update('rights_update');

	logme("rights: Update done.");
