#!/usr/bin/php
<?php

/// init
	global $ini;
	global $node;

	require(dirname(__FILE__)."/../include/functions.php");
	init();

	if ($node != '1') { exit(0); }
	if (get_ini_opt('cron','mail-quota-ftp') === '0') { exit(0); }

### read configuration options

	$mail_tpl = $ini['global']['template_dir']."/quota-ftp.txt";
	$msgbody=file_get_contents($mail_tpl);

	$mail_fromaddr = $ini['global']['email'];
	$mail_fromname = $ini['global']['name'];

	$mail_subject='FTP hozzáférések - jelentés';

	$perc='91';

### Collect FTP accounts

	$sql="	SELECT
			CONCAT(`client`.`name`,'.',`cli_ftp`.`name`) AS `login`,
			`client`.`id` AS `cliid`,
			`client`.`email` AS `clientmail`,
			`cli_ftp`.`subdir` AS `subdir`,
			`client`.`node` AS `node`,
			`cli_ftp`.`quota` AS `quota`,
			IFNULL(`stats_ftp`.`usage`, 0) AS `usage`,
			CEIL(IFNULL(`stats_ftp`.`usage`, 0)/`cli_ftp`.`quota`*100) AS `percent`

		FROM `cli_ftp`
		LEFT JOIN `client` ON `cli_ftp`.`clientid`=`client`.`id`
		LEFT JOIN `stats_ftp` ON `cli_ftp`.`id`=`stats_ftp`.`ftpid`

		WHERE `client`.`active`=1
		AND `cli_ftp`.`active`=1

		HAVING `percent` > ".$perc."
		ORDER BY `cliid`, `login`

		;";

	$res=DBquery($sql);

	$client_list=array();

	while ($row=$res->fetch_assoc()) {
		$client_list[$row['clientmail']][]=$row['login'].' ('.$row['subdir'].') - '.$row['usage'].' MB / '.$row['quota'].' MB ('.$row['percent'].'%)';
	}

	foreach($client_list as $cmail => $ftpl)
	{
		$ftplist=implode("\n", $ftpl);
		$sendbody=str_replace('#LIST#', $ftplist, $msgbody);

#		echo "***\n$cmail - $mail_subject\n";
#		echo $sendbody;
		mailsend($mail_fromname, $mail_fromaddr, $cmail, $mail_subject, $sendbody);
		sleep(1);
	}


	DBclose();
