#!/usr/bin/php
<?php

function calcftp($dir) {

    $qf=$dir."/.ftpquota";
    $total=0;

    if (file_exists($qf)) {

	$file_handle = fopen($qf, "rb");

	while (!feof($file_handle) ) {
	    $line_of_text = fgets($file_handle);
	    if (strlen($line_of_text)>2) {
		$parts = explode(' ', trim($line_of_text));
	        if (is_numeric($parts[1])) { $total=$total+$parts[1]; }
	    }
	}

	fclose($file_handle);

    }
    return $total;
}

################################################

/// init
    global $ini;
    global $node;

    require(dirname(__FILE__)."/../include/functions.php");
    init();

    if (get_ini_opt('cron','stats-update-ftp') === '0') { exit(0); }


    $sql="SELECT `id`,`name` FROM `client` WHERE `active`=1 AND `node`=$node;";
    $res=DBquery($sql);

    while ($srow=$res->fetch_assoc()) {

	$clidir=$ini['global']['webroot']."/".$srow['name'];
	$cliid=$srow['id'];

	if (file_exists($clidir)) {

	    $clisize=calcftp($clidir);
	    $climb=ceil($clisize/1048576);
	    // echo "$srow[name] -> $climb\n";

	    $uccsql="SELECT `id` FROM `stats_ftp` WHERE `clientid`='$srow[id]' AND `ftpid` IS NULL;";
	    $uccres=DBquery($uccsql) or die(1);
	    if ($uccres->num_rows == 0) {
		$ucsql="INSERT INTO `stats_ftp` SET `clientid`='$srow[id]', `ftpid`=NULL, `usage`='$climb';";
	    } else {
		$ucsql="UPDATE `stats_ftp` SET `usage`='$climb' WHERE `clientid`='$srow[id]' AND `ftpid` IS NULL;";
	    }
	    $ucres=DBquery($ucsql);

	    $subsql="SELECT `id`,`name`,`subdir` FROM `cli_ftp` WHERE `clientid`='$cliid';";
	    $subres=DBquery($subsql);

	    while ($subrow=$subres->fetch_assoc()) {
		$subdir=$clidir."/".$subrow['subdir'];
		if (file_exists($clidir)) {

		    $subsize=calcftp($subdir);
		    $submb=ceil($subsize/1048576);
		    //echo "\t$subrow[name] -> $submb\n";

		    $uccsql="SELECT `id` FROM `stats_ftp` WHERE `clientid`='$srow[id]' AND `ftpid`='$subrow[id]';";
		    $uccres=DBquery($uccsql);
		    if ($uccres->num_rows == 0) {
			$ucsql="INSERT INTO `stats_ftp` SET `clientid`='$srow[id]', `ftpid`='$subrow[id]', `usage`='$submb';";
		    } else {
			$ucsql="UPDATE `stats_ftp` SET `usage`='$submb' WHERE `clientid`='$srow[id]' AND `ftpid`='$subrow[id]';";
		    }
		    $ucres=DBquery($ucsql);
		}
	    }
	}
    }

DBclose();
