#!/usr/bin/php
<?php

function calcmail($qf)
{
	$total = 0;

	if (file_exists($qf))
	{
		$file_handle = fopen($qf, "rb");

		while (!feof($file_handle) )
		{

			$line_of_text = fgets($file_handle);
			if (strlen($line_of_text)>2)
			{
				$parts = explode(' ', trim($line_of_text));
				if (is_numeric($parts[0])) { $total=$total+$parts[0]; }
			}
		}
		fclose($file_handle);
	}

	if ($total<0) { $total=0; }

	return $total;
}

#########################################################

/// init
	global $ini;
	global $node;

	require(dirname(__FILE__)."/../include/functions.php");
	init();

	if (get_ini_opt('cron','stats-update-mail') === '0') { exit(0); }

	$chrdir='';

	if (array_key_exists('chrdir',$ini['dovecot']))
	{
		$chrdir=$ini['dovecot']['chrdir'];
	}

	$sql="SELECT `mail_users`.`id`,`mail_users`.`name` AS `username`, `domain`.`name` AS `domname`
		FROM `mail_users`
		LEFT JOIN `domain` ON `mail_users`.`domainid`=`domain`.`id`
		LEFT JOIN `client` ON `domain`.`clientid`=`client`.`id`
		WHERE `mail_users`.`active`=1 AND `domain`.`active`=1 AND `client`.`active`=1;";

	$res=DBquery($sql);

	while ($srow=$res->fetch_assoc())
	{	
		if (array_key_exists('mailmeta',$ini['dovecot']))
		{
			$maildir=$chrdir.$ini['dovecot']['mailmeta']."/".$srow['domname']."/".$srow['username']."/Maildir";
		}
		else
		{
			$maildir=$chrdir.$ini['global']['mailroot']."/".$srow['domname']."/".$srow['username']."/Maildir";
		}

		$mailid=$srow['id'];

		if (file_exists($maildir))
		{
			$mailsize=calcmail($maildir.'/maildirsize');
			$mailmb=ceil($mailsize/1048576);
			//echo "$srow[username]@$srow[domname] -> $mailsize b = $mailmb Mb\n";

			$fccsql="SELECT `id` FROM `stats_mail` WHERE `mailid`='$srow[id]';";
			$fccres=DBquery($fccsql);
			if ($fccres->num_rows == 0)
			{
				$fcsql="INSERT INTO `stats_mail` SET `mailid`='$srow[id]', `usage`='$mailmb';";
			}
			else
			{
				$fcsql="UPDATE `stats_mail` SET `usage`='$mailmb' WHERE `mailid`='$srow[id]';";
			}
			$fcres=DBquery($fcsql);

		}
	}

	DBclose();
