#!/usr/bin/php
<?php

/// init
    global $ini;
    global $node;

    require(dirname(__FILE__)."/../include/functions.php");
    init();

    if (get_ini_opt('cron','stats-update-mysql') === '0') { exit(0); }


### collect MySQL DB names/ids

	$idsql="SELECT `id`, LPAD(`clientid`,4,'0') AS `clientid`, `name` FROM `mysql`;";
	$idres=DBquery($idsql);
	while ($idrow=$idres->fetch_assoc())
	{
		$dbids[$idrow['clientid']][$idrow['name']]=$idrow['id'];
	}

### connect to controlled database server
admDBconnect();

	$dsql="SELECT
		`table_schema` AS `fullname`,
		LEFT(`table_schema`,4) AS `clientid`,
		SUBSTRING(`table_schema`,6) AS `dbname`,
		COUNT(*) AS `tables`,
		SUM(`table_rows`) AS `rows`,
		ROUND(SUM(`data_length`)/(1024*1024)) AS `data`,
		ROUND(SUM(`index_length`)/(1024*1024)) AS `idx`
		FROM `information_schema`.`TABLES`
		WHERE LEFT(`table_schema`,5) REGEXP '^[0-9]+_$'
		GROUP BY `table_schema`
		;";
$dres=admDBquery($dsql);

### update stats
while ($drow=$dres->fetch_assoc())
{
	$cliid=$drow['clientid'];

	if (array_key_exists($cliid, $dbids) && array_key_exists($drow['dbname'], $dbids[$cliid]))
	{
		$id=$dbids[$cliid][$drow['dbname']];

		$uccsql="SELECT `id` FROM `stats_mysql` WHERE `clientid`='$cliid' AND `mysqlid`='$id';";
		$uccres=DBquery($uccsql);
		if ($uccres->num_rows == 0)
		{
			$ucsql="INSERT INTO `stats_mysql` SET
					`clientid`='$cliid',
					`mysqlid`='$id',
					`tables`='".$drow['tables']."',
					`rows`='".$drow['rows']."',
					`data`='".$drow['data']."',
					`idx`='".$drow['idx']."'
					;";
		}
		else
		{
			$ucsql="UPDATE `stats_mysql` SET 
						`tables`='".$drow['tables']."',
						`rows`='".$drow['rows']."',
						`data`='".$drow['data']."',
						`idx`='".$drow['idx']."'
					WHERE `clientid`='$cliid' AND `mysqlid`='$id'
				;";
		}
		$ucres=DBquery($ucsql);
	}
}

	admDBclose();
	DBclose();
