#!/usr/bin/php
<?php

/// init
	global $ini;
	global $node;

	require(dirname(__FILE__)."/../include/functions.php");
	init(1);

### Parse command line args

	$cliname='';
	$domname='';
	if (count($argv)>1)
	{
		$clidomname=$argv[1];

		$csql="SELECT id FROM client WHERE name='$clidomname';";
		$cres=DBquery($csql);
		if($cres->num_rows>0)
		{
			$cliname=$clidomname;
		}
		else
		{
			$domname=$clidomname;
		}
	}


### Collect mailboxes per client

	$sql="SELECT
			(mail_users.active=1 AND domain.active=1 AND client.active=1) AS active,
			mail_users.name AS username,
			IFNULL(dom_host.host,'') AS hostname,
			IFNULL(domain.name, '<DOMAIN>') AS domname,
			mail_users.password AS password,
			mail_users.quota AS quota

		FROM mail_users
			LEFT JOIN dom_host ON mail_users.hostid=dom_host.id
			LEFT JOIN domain ON mail_users.domainid=domain.id
			LEFT JOIN client ON domain.clientid=client.id

		WHERE 1

	";

	if ($cliname!='')
	{
		$sql.="
		AND `client`.`name`='$cliname'
			";
	}

	if ($domname!='')
	{
		$sql.="
		AND `domain`.`name`='$domname'
			";
	}

	$sql.="
		ORDER BY `client`.`name`, `domain`.`name`, `mail_users`.`name`
	;";

	$res=DBquery($sql);

	$S=';';

	while ($row=$res->fetch_assoc()) {

		// CSV mezők: felhasználónév;[host/aldomain];domain;[jelszó];[tárhely_mb]
		// CSV info: tárhely_mb <= max_mailtárhely_mb

		if (!$row['active']) { echo "<INAKTIV>"; }

		echo $row['username'].$S;
		echo $row['hostname'].$S;
		echo $row['domname'].$S;
		echo $row['password'].$S;
		echo $row['quota'];
		echo "\n";
	}

DBclose();
