#!/usr/bin/php
<?php

/// init
	global $ini;
	global $node;

	require(dirname(__FILE__)."/../include/functions.php");
	init(1);

### Parse command line args

	$cliname='';
	if (count($argv)>1)
	{
		$cliname=$argv[1];
	}


### Collect mailboxes per client

	$sql="SELECT
		CONCAT(
			mail_users.name,
			'@',
			IF((dom_host.host IS NULL), '', CONCAT(dom_host.host,'.')),
			domain.name
		) AS email,
			domain.name AS domname,
			client.id AS cliid,
			client.name AS cliname

		FROM mail_users
			LEFT JOIN domain ON mail_users.domainid=domain.id
			LEFT JOIN dom_host ON dom_host.id=mail_users.hostid
			LEFT JOIN client ON domain.clientid=client.id
	";

	if ($cliname)
	{
		$sql.="
		WHERE `client`.`name`='$cliname'
			";
	}

	$sql.="
		ORDER BY `client`.`name`
	;";


	$res=DBquery($sql);

	//send all mails
	while ($row=$res->fetch_assoc()) {
		$email=$row['email'];
		$clid=$row['cliid'];
		$clname=$row['cliname'];
		$domname=$row['domname'];

		if ($cliname)
		{
			echo "$domname $email\n";
		}
		else
		{
			echo "$clname $domname $email\n";
		}
	}

DBclose();

?>
