#!/usr/bin/php
<?php

### check arguments

if (count($argv)<2)
{
	echo "Send messages to all clients\n";
	echo "Usage: ".$argv[0]." template_file [SURE]\n";
	die();
}

if (array_key_exists(2,$argv) && $argv[2]=="SURE")
{
	$test=false;
}
else
{
	$test=true;
}


/// init
	global $ini;
	global $node;

	require(dirname(__FILE__)."/../include/functions.php");
	init(1);

### read configuration options

	$webroot=$ini['global']['webroot'];

	$mail_tpl=$argv[1];
	$mailbody=file_get_contents($mail_tpl);

	$mail_fromaddr = $ini['global']['email'];
	$mail_fromname = $ini['global']['name'];
	$mail_subject = $ini['global']['name']. " rendszerüzenet";

/*
ini global vars:
node
domain
host
mx
template_dir
skeleton_dir
firstuid
webroot
mailroot
name
email
*/

	// replace #G_*# tags in body to $ini[global] value
	foreach ($ini['global'] as $keyname => $value)
	{
		$mailbody=str_replace('#G_'.strtoupper($keyname).'#', $value, $mailbody);
	}


### get client data

/*
client fields:
[id]
[name]
[password]
[old_password]
[email]
[category]
[node]
[quota]
[mailquota]
[hosting]
[active]
[suspend]
[migrate]
[modified]
*/

$sql ="SELECT
	*,
	concat('$webroot/',name) AS homedir
	FROM client
	WHERE `active`=1
	;";

$result=DBquery($sql);

while ($row=$result->fetch_assoc())
{
	$clientname=$row['name'];
	$clientdir=$row['homedir'];
	$email=$row['email'];

	$sendbody=$mailbody;

	// replace #C_*# tags in body to client table corresponding field value
	foreach ($row as $keyname => $value)
	{
		$sendbody=str_replace('#C_'.strtoupper($keyname).'#', $value, $sendbody);
	}

	if ($test)
	{
		echo "\n---------------------------------------------------------------\n";
		echo "From: $mail_fromname <$mail_fromaddr>\n";
		echo "To: $clientname <$email>\n";
		echo "Subject: $mail_subject\n";
		echo "\n";
		print_r($sendbody);
		//mailsend($mail_fromname, $mail_fromaddr, $mail_fromaddr, $mail_subject, $sendbody);
		//sleep(1);
	}
	else
	{
		mailsend($mail_fromname, $mail_fromaddr, $email, $mail_subject, $sendbody);
		sleep(1);
	}

#	exit(0);
}

DBclose();
