#!/usr/bin/php
<?php

/// init
global $ini;
global $node;

global $NOLOG;
$NOLOG = true;

global $ignore_live;
$ignore_live = true;

require(dirname(__FILE__)."/../include/functions.php");
init(1);


#########################################################

function DBcheck($cquery)
{
	$res=DBquery($cquery);
	if ($res->num_rows == 0)
	{
		return false;
	}
	else
	{
		return true;
	}
}

function userlist()
{
	$lres=DBquery("SELECT `name`, `level`, `active` FROM `admin` ORDER BY `active`;");
	while ($lrow=$lres->fetch_assoc())
	{
		echo "admin: ".$lrow['name']."\t level: ".$lrow['level']."\t active: ".$lrow['active']."\n";
	}
	echo "\n";
}

######################################################################################

if (count($argv) < 3)
{
	echo "Usage: ".$argv[0]." [adminuser] [level] <password> <active> <force>\n\n";
	userlist();
	exit(20);
}

$username=$argv[1];
$userlevel=$argv[2];

if (array_key_exists(3,$argv))
{
	$pass=$argv[3];
	if (strlen($pass) < 8)
	{
		echo "ERROR: Password must be at least 8 characters long\n";
		exit (15);
	}
}
else
{
	system('stty -echo');
	$pass=readline($prompt="Password for user $username: ");
	echo "\n";
	$pass2=readline($prompt="Re-enter password: ");
	echo "\n";
	system('stty echo');
	if ($pass != $pass2)
	{
		echo "ERROR: Passwords don't match\n";
		exit (15);
	}
	if (strlen($pass) < 8)
	{
		echo "ERROR: Password must be at least 8 characters long\n";
		exit (15);
	}
}

if (substr($pass,0,1) == '*')
{
	$pass_sql="'$pass'";
}
else
{
	$pass_sql="PASSWORD('$pass')";
}

if (array_key_exists(4,$argv) && $argv[4] === "0")
{
	$act=0;
}
else
{
	$act=1;
}

if (array_key_exists(5,$argv) && $argv[5] === "1")
{
	$force=1;
}
else
{
	$force=0;
}

if (!(DBcheck("SHOW TABLES LIKE 'admin';")))
{
	echo "ERROR: sys_admin.admin table doesn't exist yet.\n";
	exit(5);
}


######################################################################################
# Add/modify admin user

if (!(DBcheck("SELECT `name` FROM `admin` WHERE `name`='".$username."';")))
{
	echo "Adding admin $username (level $userlevel)\n";
	DBquery("INSERT INTO `admin` SET
		`name`='".$username."',
		`password`=".$pass_sql.",
		`level`=".$userlevel.",
		`active`=".$act."
		;");
}
elseif ($force == 1)
{
	echo "Updating admin $username (level $userlevel)\n";
	DBquery("UPDATE `admin` SET
		`password`=".$pass_sql.",
		`level`=".$userlevel.",
		`active`=".$act."
		WHERE `name` = '".$username."'
		;");
}
else
{
	echo "WARNING: user $username already exists, use the force.\n";
	echo "Usage: ".$argv[0]." [adminuser] [level] <password> <active> <force>\n\n";
	userlist();
	exit(30);
}
