<VirtualHost *:{$port}>

    ServerName {$host}.{$domain}
{if $host eq 'www'}
    ServerAlias {$domain}
{else}
    ServerAlias www.{$host}.{$domain}
{/if}

{foreach $aliases as $alias}
    ServerAlias  {$alias}.{$domain}
{if $alias eq 'www'}
    ServerAlias {$domain}
{elseif ! $alias|strstr:'*'}
    ServerAlias www.{$alias}.{$domain}
{/if}
{/foreach}

{foreach $ext_aliases as $alias}
    ServerAlias  {$alias}
{/foreach}
{foreach $ext_aliases_www as $alias}
    ServerAlias  {$alias}
{/foreach}

    ServerAlias {$host}.{$domain}.{$def_domain}
    ServerAlias {$host}.{$domain}.{$node}.{$def_domain}

    use redirect_vhost {$redirect}

{$charset}

{$settings}

</VirtualHost>
